#ifndef _SPI_H_
#define _SPI_H_

    // SPCR:SPI control
    #define SPI_SPR0            BIT0
    #define SPI_SPR1            BIT1
    #define SPI_CPHA            BIT2
    #define SPI_CPOL            BIT3
    #define SPI_MSTR            BIT4
    #define SPI_SPR2            BIT5
    #define SPI_SPE             BIT6
    #define SPI_SPIE            BIT7

    // SPSR:SPI status
    #define SPI_SSCEN           BIT0
    #define SPI_MODF            BIT4
    #define SPI_WCOL            BIT6
    #define SPI_SPIF            BIT7
	
	#define BIT0        0x01
	#define BIT1        0x02
	#define BIT2        0x04
	#define BIT3        0x08
	#define BIT4        0x10
	#define BIT5        0x20
	#define BIT6        0x40
	#define BIT7        0x80

#endif
